Subject: Re: bug#26573: 25.1; emacs 25.1 crashes while I am killing a bunch of lines

From: "ISHIKAWA,chiaki" <[email-masked]>
Date: Sun, 25 Jun 2017 07:12:20 +0900

Hi,

Thank you for the tips.

I have not seen the crashes any more (before the change, I saw emacs 
crash a few times a week...)

BUT, I noticed a strange swap usage and excessive paging now and then 
lately and not sure what it was.
Maybe it is because of this bug 26952. I will recompile emacs.

Yes, it is too bad that emacs has become a little unstable.
Maybe the distributed souce code management system may have something to 
do with it. Before, developers were very careful and use only a single 
master repository thus messing it up would have been a cardinal sin, but
nowadays, people can create various branches and merge them (at least so 
that it builds/compiles). BUT, the runtime behavior may suffer.
Just my guess.

Thank you again!

Happy Hacking (as RMS used to say)

Chiaki

On 2017/06/25 6:52, [email-masked] wrote:
> close 26573
> quit
> 
> "ISHIKAWA,chiaki" <[email-masked]> writes:
> 
>> I think it is likely that I have ralloc.o.
>> Let me re-compile emacs with the suggested additional
>> and work with it for a few weeks.
>> Based on the frequency of the crashes I observed if the new binary
>> does not crash in a month, the bug would have been solved.
> 
> Since it's been over 2 months, I'll close the bug.  By the way, if you
> can upgrade to 25.2 you might be better off configuring with
> REL_ALLOC=yes, as disabling ralloc can lead to excessive memory
> consumption (see https://debbugs.gnu.org/cgi/bugreport.cgi?bug=26952).
> 
>